/* CAIL - The Clutter Accessibility Implementation Library
 *
 * Copyright (C) 2009 Igalia, S.L.
 *
 * Author: Alejandro Pieiro Iglesias <apinheiro@igalia.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef                                         __CAIL_LABEL_H__
#define                                         __CAIL_LABEL_H__

#include "cail-actor.h"

G_BEGIN_DECLS

#define                                         CAIL_TYPE_LABEL \
                                                (cail_label_get_type ())
#define                                         CAIL_LABEL(obj) \
                                                (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                                                CAIL_TYPE_LABEL, CailLabel))
#define                                         CAIL_LABEL_CLASS(klass) \
                                                (G_TYPE_CHECK_CLASS_CAST ((klass), \
                                                CAIL_TYPE_LABEL, CailLabelClass))
#define                                         CAIL_IS_LABEL(obj) \
                                                (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                                                CAIL_TYPE_LABEL))
#define                                         CAIL_IS_LABEL_CLASS(klass)\
                                                (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                                                CAIL_TYPE_LABEL))
#define                                         CAIL_LABEL_GET_CLASS(obj) \
                                                (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                                                CAIL_TYPE_LABEL, CailLabelClass))


typedef struct _CailLabel                     CailLabel;
typedef struct _CailLabelClass                CailLabelClass;
typedef struct _CailLabelPrivate              CailLabelPrivate;

struct                                          _CailLabel
{
  CailActor parent;

  /* < private > */
  CailLabelPrivate *priv;
};

struct                                          _CailLabelClass
{
  CailActorClass parent_class;
};

GType
cail_label_get_type                             (void);

AtkObject*
cail_label_new                                  (ClutterActor *actor);

G_END_DECLS

#endif /* __CAIL_LABEL_H__ */
