/* CAIL - The Clutter Accessibility Implementation Library
 *
 * Copyright (C) 2009 Igalia, S.L.
 *
 * Author: Alejandro Pieiro Iglesias <apinheiro@igalia.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef                                         __CAIL_RECTANGLE_H__
#define                                         __CAIL_RECTANGLE_H__

#include "cail-actor.h"

G_BEGIN_DECLS

#define                                         CAIL_TYPE_RECTANGLE \
                                                (cail_rectangle_get_type ())
#define                                         CAIL_RECTANGLE(obj) \
                                                (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                                                CAIL_TYPE_RECTANGLE, CailRectangle))
#define                                         CAIL_RECTANGLE_CLASS(klass) \
                                                (G_TYPE_CHECK_CLASS_CAST ((klass), \
                                                CAIL_TYPE_RECTANGLE, CailRectangleClass))
#define                                         CAIL_IS_RECTANGLE(obj) \
                                                (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                                                CAIL_TYPE_RECTANGLE))
#define                                         CAIL_IS_RECTANGLE_CLASS(klass)\
                                                (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                                                CAIL_TYPE_RECTANGLE))
#define                                         CAIL_RECTANGLE_GET_CLASS(obj) \
                                                (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                                                CAIL_TYPE_RECTANGLE, CailRectangleClass))


typedef struct _CailRectangle                   CailRectangle;
typedef struct _CailRectangleClass              CailRectangleClass;
typedef struct _CailRectanglePrivate            CailRectanglePrivate;

struct                                          _CailRectangle
{
  CailActor parent;

  /* < private > */
  CailRectanglePrivate *priv;
};

struct                                          _CailRectangleClass
{
  CailActorClass parent_class;
};

GType
cail_rectangle_get_type                         (void);

AtkObject*
cail_rectangle_new                              (ClutterActor *actor);

G_END_DECLS

#endif /* __CAIL_RECTANGLE_H__ */
