/* CAIL - The Clutter Accessibility Implementation Library
 *
 * Copyright (C) 2009 Igalia, S.L.
 *
 * Author: Alejandro Pieiro Iglesias <apinheiro@igalia.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef                                         __CAIL_TEXTURE_H__
#define                                         __CAIL_TEXTURE_H__

#include "cail-actor.h"

G_BEGIN_DECLS

#define                                         CAIL_TYPE_TEXTURE \
                                                (cail_texture_get_type ())
#define                                         CAIL_TEXTURE(obj) \
                                                (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                                                CAIL_TYPE_TEXTURE, CailTexture))
#define                                         CAIL_TEXTURE_CLASS(klass) \
                                                (G_TYPE_CHECK_CLASS_CAST ((klass), \
                                                CAIL_TYPE_TEXTURE, CailTextureClass))
#define                                         CAIL_IS_TEXTURE(obj) \
                                                (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                                                CAIL_TYPE_TEXTURE))
#define                                         CAIL_IS_TEXTURE_CLASS(klass)\
                                                (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                                                CAIL_TYPE_TEXTURE))
#define                                         CAIL_TEXTURE_GET_CLASS(obj) \
                                                (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                                                CAIL_TYPE_TEXTURE, CailTextureClass))


typedef struct _CailTexture                     CailTexture;
typedef struct _CailTextureClass                CailTextureClass;
typedef struct _CailTexturePrivate              CailTexturePrivate;

struct                                          _CailTexture
{
  CailActor parent;

  /* < private > */
  CailTexturePrivate *priv;
};

struct                                          _CailTextureClass
{
  CailActorClass parent_class;
};

GType
cail_texture_get_type                             (void);

AtkObject*
cail_texture_new                                  (ClutterActor *actor);

G_END_DECLS

#endif /* __CAIL_TEXTURE_H__ */
